Bug 702705 - Fix Coverity NULL pointer dereferences
Summary: Fix Coverity NULL pointer dereferences
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nathan Kinder
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 434915
TreeView+ depends on / blocked
 
Reported: 2011-05-06 16:27 UTC by Nathan Kinder
Modified: 2015-01-04 23:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-17 14:08:17 UTC


Attachments (Terms of Use)
Patch for cov#10830 (3.35 KB, patch)
2011-05-06 16:31 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Pat for cov#10811,10809 (2.62 KB, patch)
2011-05-06 17:28 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10803 (1.21 KB, patch)
2011-05-06 19:00 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10785 (756 bytes, patch)
2011-05-06 20:46 UTC, Nathan Kinder
nhosoi: review+
Details | Diff
Patch for cov#10784,10783 (1.26 KB, patch)
2011-05-06 20:53 UTC, Nathan Kinder
nhosoi: review+
Details | Diff

Description Nathan Kinder 2011-05-06 16:27:58 UTC
A recent run of Coverity against adminserver identified a number of null pointer dereferences.  We need to address these issues.

Comment 1 Nathan Kinder 2011-05-06 16:31:32 UTC
Created attachment 497407 [details]
Patch for cov#10830

Comment 2 Nathan Kinder 2011-05-06 17:28:50 UTC
Created attachment 497416 [details]
Pat for cov#10811,10809

Comment 3 Nathan Kinder 2011-05-06 19:00:36 UTC
Created attachment 497429 [details]
Patch for cov#10803

Comment 4 Nathan Kinder 2011-05-06 20:46:24 UTC
Created attachment 497453 [details]
Patch for cov#10785

Comment 5 Nathan Kinder 2011-05-06 20:53:21 UTC
Created attachment 497459 [details]
Patch for cov#10784,10783

Comment 6 Nathan Kinder 2011-05-06 21:16:50 UTC
Pushed to master.  Thanks to Noriko for her reviews!

Counting objects: 38, done.
Delta compression using up to 2 threads.
Compressing objects: 100% (26/26), done.
Writing objects: 100% (26/26), 3.48 KiB, done.
Total 26 (delta 20), reused 0 (delta 0)
To ssh://git.fedorahosted.org/git/389/admin.git
   b427aa1..130ea2f  master -> master


Note You need to log in before you can comment on or make changes to this bug.